Bug 26119 - Patron attribute option to display in OPAC is not compatible with PatronSelfRegistrationVerifyByEmail
Summary: Patron attribute option to display in OPAC is not compatible with PatronSelfR...
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: PC Windows
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 13757
Blocks: 26973 27020
  Show dependency treegraph
 
Reported: 2020-07-31 18:15 UTC by Erica Rohlfs
Modified: 2020-11-13 17:38 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.04, 19.11.10


Attachments
Bug 26119: Enable patron's attribute edition when PatronSelfRegistrationVerifyByEmail (3.32 KB, patch)
2020-08-03 11:17 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26119: Enable patron's attribute edition when PatronSelfRegistrationVerifyByEmail (3.39 KB, patch)
2020-08-03 11:31 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26119: Enable patron's attribute edition when PatronSelfRegistrationVerifyByEmail (3.45 KB, patch)
2020-08-15 08:26 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Erica Rohlfs 2020-07-31 18:15:29 UTC
Within the Patron Attribute Type User Interface (Home › Administration › Patron attribute types), there is a parenthetical note indicating that the option to Editable in OPAC "does not work with [System Preference] PatronSelfRegistrationVerifyByEmail."

The patron attribute option to Display in OPAC also does not work with System Preference PatronSelfRegistrationVerifyByEmail.

It would be ideal for the attribute to display. However, the quicker alternative would be to include the same parenthetical warning to users that the display will not work with the system preference (like the Editable in OPAC value indicates).
Comment 1 Jonathan Druart 2020-08-03 11:17:52 UTC
Created attachment 107698 [details] [review]
Bug 26119: Enable patron's attribute edition when PatronSelfRegistrationVerifyByEmail

There is no good reason remove the ability to edit patron's attributes
if PatronSelfRegistrationVerifyByEmail is set.

We cannot have them in the self-registration form (because we don't
store patron's attributes during self-ref), but we can have them when
a patron show/edit their information.

Test plan:
0. Enable PatronSelfRegistrationVerifyByEmail and create patron's
attributes that can be edited at the OPAC
1. Create a new patron using the self-reg feature
=> You don't have the ability to fill in the patron's attribute
2. Edit your personal details (OPAC)
=> Without this patch you still don't see the patron's attribute that
can be edited at the OPAC
=> With this patch applied you can!
3. Notice the wording change on the "Modify patron attribute type" form
and confirm it makes sense
Comment 2 ByWater Sandboxes 2020-08-03 11:31:11 UTC
Created attachment 107699 [details] [review]
Bug 26119: Enable patron's attribute edition when PatronSelfRegistrationVerifyByEmail

There is no good reason remove the ability to edit patron's attributes
if PatronSelfRegistrationVerifyByEmail is set.

We cannot have them in the self-registration form (because we don't
store patron's attributes during self-ref), but we can have them when
a patron show/edit their information.

Test plan:
0. Enable PatronSelfRegistrationVerifyByEmail and create patron's
attributes that can be edited at the OPAC
1. Create a new patron using the self-reg feature
=> You don't have the ability to fill in the patron's attribute
2. Edit your personal details (OPAC)
=> Without this patch you still don't see the patron's attribute that
can be edited at the OPAC
=> With this patch applied you can!
3. Notice the wording change on the "Modify patron attribute type" form
and confirm it makes sense

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Katrin Fischer 2020-08-15 08:26:24 UTC
Created attachment 108318 [details] [review]
Bug 26119: Enable patron's attribute edition when PatronSelfRegistrationVerifyByEmail

There is no good reason remove the ability to edit patron's attributes
if PatronSelfRegistrationVerifyByEmail is set.

We cannot have them in the self-registration form (because we don't
store patron's attributes during self-ref), but we can have them when
a patron show/edit their information.

Test plan:
0. Enable PatronSelfRegistrationVerifyByEmail and create patron's
attributes that can be edited at the OPAC
1. Create a new patron using the self-reg feature
=> You don't have the ability to fill in the patron's attribute
2. Edit your personal details (OPAC)
=> Without this patch you still don't see the patron's attribute that
can be edited at the OPAC
=> With this patch applied you can!
3. Notice the wording change on the "Modify patron attribute type" form
and confirm it makes sense

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2020-08-15 08:30:32 UTC
I believe there is still a problem with the "display in OPAC" functionality - I filed Bug 26219 - "Display in OPAC" option not working for patron attributes for this.
Comment 5 Jonathan Druart 2020-08-18 15:47:29 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-09-03 15:31:32 UTC
backported to 20.05.x for 20.05.04
Comment 7 Aleisha Amohia 2020-09-09 04:33:25 UTC
backported to 19.11.x for 19.11.10
Comment 8 Victor Grousset/tuxayo 2020-09-20 17:34:52 UTC
Not backported to oldoldstable (19.05.x). Feel free to ask if it's needed.